Debian-Sicherheitsankündigung

DSA-1290-1 squirrelmail -- Fehlende Eingabebereinigung

Datum des Berichts:
13. Mai 2007
Betroffene Pakete:
squirrelmail
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In Mitres CVE-Verzeichnis: CVE-2007-1262.
Weitere Informationen:

Es wurde entdeckt, dass das Webmail-Paket Squirrelmail unzureichende Bereinigungen im HTML-Filter durchführt, was die Einschleusung beliebigen Web-Skript-Codes während der Darstellung von HTML-E-Mail-Mitteilungen ermöglicht.

Für die alte Stable-Distribution (Sarge) wurde dieses Problem in Version 2:1.4.4-11 behoben.

Für die Stable-Distribution (Etch) wurde dieses Problem in Version 2:1.4.9a-2 behoben.

Für die Unstable-Distribution (Sid) wurde dieses Problem in Version 2:1.4.10a-1 behoben.

Wir empfehlen Ihnen, Ihr squirrelmail-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-11_all.deb

Debian GNU/Linux 4.0 (etch)

Quellcode:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.9a-2_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.